osl::eval::EvalTraits< WHITE > Struct Reference

`#include <evalTraits.h>`

## Static Public Member Functions

static int | max (int v1, int v2)
static int | min (int v1, int v2)
static bool | betterThan (int v1, int v2)
static bool | notLessThan (int v1, int v2)
static int | convert (int value)

## Static Public Attributes

static const int | delta = -EvalTraits<BLACK>::delta
static const int | MAX_VALUE = -EvalTraits<BLACK>::MAX_VALUE

## Detailed Description

Definition at line 42 of file evalTraits.h.

## Member Function Documentation

## betterThan()

bool osl::eval::EvalTraits< WHITE >::betterThan | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 49 of file evalTraits.h.

## convert()

int osl::eval::EvalTraits< WHITE >::convert | ( | int | value | ) |

inline static

Parameters

  value | BLACKのための値

Definition at line 60 of file evalTraits.h.

## max()

int osl::eval::EvalTraits< WHITE >::max | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 46 of file evalTraits.h.

## min()

int osl::eval::EvalTraits< WHITE >::min | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 47 of file evalTraits.h.

## notLessThan()

bool osl::eval::EvalTraits< WHITE >::notLessThan | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 53 of file evalTraits.h.

## Member Data Documentation

## delta

const int osl::eval::EvalTraits< WHITE >::delta = -EvalTraits<BLACK>::delta

static

Definition at line 44 of file evalTraits.h.

## MAX_VALUE

const int osl::eval::EvalTraits< WHITE >::MAX_VALUE = -EvalTraits<BLACK>::MAX_VALUE

static

Definition at line 45 of file evalTraits.h.

The documentation for this struct was generated from the following file:

- evalTraits.h